#ifndef __LOGIC_H
#define __LOGIC_H

#include <stdbool.h>



typedef struct
{
    GPIO_TypeDef* port;
    uint16_t pin;
    
} channel_t;


//
typedef struct
{
    bool active;
    uint16_t cnt;
    
} channel_cnt_t;


//
void channel_init(void);

//
void logic_single(void);

//
void logic_string(void);

//
void logic_string_next(void);

//
void logic_cnt_task(void);

//
void logic_main(void);

//
void logic_set_out_pwm(void);

//
void wdt_init(void);

//
void logic_led_freq(void);


#endif